org.eclipse.ease.lang.python.py4j.internal

## Interface ICodeTraceFilter

All Superinterfaces:
  ICodeTracer, IEventProcessor, IExecutionListener

    public interface ICodeTraceFilter
    extends ICodeTracer, IEventProcessor, IExecutionListener

Extension of `ICodeTracer` performing pre-filtering before code gets to actual tracer.

### Field Summary

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `removeBreakpoint(PythonBreakpoint breakpoint)` Removes a breakpoint from the trace filter.
`void` `resume(int resumeType)` Resume execution after filter has notified us that execution might need to be stopped.
`void` `setBreakpoint(PythonBreakpoint breakpoint)` Sets a breakpoint in the trace filter.
`void` `setDebugger(PythonDebugger debugger)` Sets the `PythonDebugger` to be used by the code trace filter to perform callbacks.
`void` `suspend()` Suspend execution after filter has notified us that execution might need to be stopped.

### Methods inherited from interface org.eclipse.ease.lang.python.debugger.ICodeTracer

`run`

### Methods inherited from interface org.eclipse.ease.debugging.dispatcher.IEventProcessor

`handleEvent, setDispatcher`

### Methods inherited from interface org.eclipse.ease.IExecutionListener

`notify`

### Method Detail

#### setDebugger

    void setDebugger(PythonDebugger debugger)

Sets the `PythonDebugger` to be used by the code trace filter to perform callbacks.

Parameters:
  `debugger` - `PythonDebugger` for callbacks.

#### setBreakpoint

    void setBreakpoint(PythonBreakpoint breakpoint)

Sets a breakpoint in the trace filter.

Parameters:
  `breakpoint` - Breakpoint to be set.

#### removeBreakpoint

    void removeBreakpoint(PythonBreakpoint breakpoint)

Removes a breakpoint from the trace filter.

Parameters:
  `breakpoint` - Breakpoint to be removed.

#### resume

    void resume(int resumeType)

Resume execution after filter has notified us that execution might need to be stopped.

Parameters:
  `resumeType` - Resume type for execution continuation.

#### suspend

    void suspend()

Suspend execution after filter has notified us that execution might need to be stopped.